memorized_disarray.h File Reference

Go to the source code of this file.

## Classes

struct | memorized_disarray< T, Value >

## Namespaces

| rheolef
| This file is part of Rheolef.
| rheolef::details

## Macros

#define | _RHEOLEF_class_specialization(VALUE, MEMBER)

## Functions

| _RHEOLEF_class_specialization (T, _scalar_val) _RHEOLEF_class_specialization(point_basic< T >
_vector_val | _RHEOLEF_class_specialization (tensor_basic< T >, _tensor_val) _RHEOLEF_class_specialization(tensor3_basic< T >

## Macro Definition Documentation

## _RHEOLEF_class_specialization

#define _RHEOLEF_class_specialization | ( |  | VALUE,
|  |  | MEMBER
| ) |  |

Value:
template <class T> \
struct memorized_disarray<T,VALUE> { \
template <class Object> \
disarray<VALUE,typename Object::memory_type>& \
get (const Object& obj) const { \
return obj.MEMBER; \
} \
}; \

Definition at line 46 of file memorized_disarray.h.